Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.termination
Class AbstractTermination

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.termination.AbstractTermination

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener, Termination

Direct Known Subclasses:
  AbstractCompositeTermination, BasicPlumbingTermination, PhaseToSolverTerminationBridge, ScoreAttainedTermination, StepCountTermination, TimeMillisSpendTermination, UnimprovedStepCountTermination

    public abstract class AbstractTermination

extends SolverPhaseLifecycleListenerAdapter
implements Termination

Abstract superclass for `Termination`.

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractTermination()`

Method Summary

Methods inherited from class org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListenerAdapter
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.termination.Termination
`calculatePhaseTimeGradient, calculateSolverTimeGradient, isPhaseTerminated, isSolverTerminated`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### AbstractTermination

    public AbstractTermination()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.